body {
    background-color: #dec0ed;
}

.image--pokeball {
    height: 70px;
}

.image--dark {
    filter: brightness(10%);
}

.image--dark:hover {
    filter: brightness(100%);
    cursor: pointer;
}

/* ======== Start Header =========*/

.header {
    background: linear-gradient(to right,#7b2d9f, #491b5f);
    min-height: 90px;
}


.figure {
  max-width: 25px;
}

.header--border-top-radius {
    border-radius: 20px 20px 0px 0px;
    max-height: 85px;
}

.header--flex {
   display: flex;
}

.header__title {
    color: whitesmoke;
    font: 29px 'Franklin Gothic Medium', sans-serif;
    letter-spacing: -3px;
    padding: 12px 20px 20px 5px;
}


/* ======== End Header =========*/


/* ======== Start Main =========*/
 .main {
    min-height: 460px;
    background: linear-gradient(to right, #c41fb9, #ba00ad);
 }

 .main--flex {
    display: grid;
    justify-content: space-evenly;
    grid-template-columns: 30% 30%;
 }

 .main__pokemon-card {
    margin: 20px 0px 0px 10px;
}

.main__card-image {
    margin: 20px 0px 0px 10px;
    
}

.main__image-pokemon {
    width: 100%;
    height: 300px;
    transition: transform 0.9s; 
}
.main__image-pokemon:hover {
    -webkit-transform:scale(1.3);
    transform:scale(1.3);
    transition: all 0.9s ease;
}

.main__image-flame {
    width:  50px;
}


 .main__card-title {
   display: grid;
   grid-template-columns: 15% 55%;
   background-color: whitesmoke;
   border-radius: 20px;
   max-height: 80px;
   justify-content: center;
   align-content: center;
 }

 .main__title-pokemon {
    font: bold 30px 'Franklin Gothic Medium', sans-serif;
    text-align: center;
    padding-top: 1px;
 }


 .section__habilities {
    max-height: 80px;
 }

 .section__pokemon-average {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 100px 100px 100px;
    background-color: whitesmoke;
    border-radius: 20px;
    margin: 15px;
    align-content: center;
 }

 .section__pokemon-average div{
    padding: 30px;
 }

 .section__pokemon-average p {
    font: 24px 'Franklin Gothic Book', sans-serif;
    text-align: center;
    margin: 0;
 }

 .section__pokemon-average h4 {
    font: 15px 'Franklin Gothic Book', sans-serif;
    text-align: center;
    margin: 0;
 }



/* ======== End Main =========*/


/* ======== Start Footer =========*/
.footer {
    min-height: 100%;
    padding: 20px;
    background-color: #f3edc0;
 }

 .footer--border-bottom-radius {
    border-radius: 0px 0px 20px 20px;
}


.footer__item {
    text-transform: uppercase;
    text-align: center;
    font: 24px 'Franklin Gothic Medium', sans-serif;
}


.footer--grid {
    display: grid;
    grid-template-columns: 22% 16% 16% 16% 16%;
    justify-content: center;
}

.footer__card {
    background-color: rgb(194, 194, 194);
    border-radius: 20px;
    max-width: 100px;
    transition: transform 0.9s;
}

.footer__card:hover {
    -webkit-transform:scale(1.3);transform:scale(1.3);
    transition: all 0.9s ease;
}

.footer__card--red:hover {
    border-radius: 20px;
    background-color: crimson;
}

.footer__card--gold:hover {
    border-radius: 20px;
    background-color: gold;
}

.footer__card--blue:hover {
    border-radius: 20px;
    background-color: #7197f7;
}

.footer__card--green:hover {
    border-radius: 20px;
    background-color: #c41fb9;
}

.footer__image {
    height: 100px;
}

/* ======== End Footer =========*/



@media only screen and (min-width: 1200px) and (max-width: 1286px) {

    .main__image-flame {
        width: 45px;
    }

    .main__card-title {
        margin: auto;
        grid-template-columns: 15% 81%;
        gap: 0em;
        justify-content: center;
      }

      .main__title-pokemon {
        font-size: 24px;
      }

      .main__image-pokemon {
        position: relative;
        width: 270px;
        height: 100%;
        top: 5px;
    }
}


@media only screen and (min-width: 901px) and (max-width: 1200px) {
    
    .main {
        min-height: 400px;
    }

    .main--flex {
        justify-content: center;
        gap: 5em;
    }

    .main__image-flame {
        width: 45px;
    }

    .main__card-title {
        margin: auto;
        grid-template-columns: 19% 81%;
        gap: 0em;
        justify-content: center;
      }

      .main__title-pokemon {
        font-size: 24px;
      }


    .main__image-pokemon {
        position: relative;
        width: 260px;
        height: 100%;
        top: 5px;
    }


    .section__pokemon-average {
    grid-template-rows: 60px 60px 60px;
     margin: 15px;
     align-content: center;
     row-gap: 2em;
     min-width: 280px;
    }

    
    .section__pokemon-average h4{
        font-size: 16px;
     }

     .section__pokemon-average p{
        font-size: 19px;
     }

    .footer__card {
        min-width: 100px;
    }

    .footer--grid {
        column-gap: 6px;
    }

    .footer__image {
        width: 100px;
    }
 }

@media only screen and (min-width: 800px) and (max-width: 901px) {
    
    .main {
        min-height: 400px;
    }

    .main--flex {
        justify-content: center;
        gap: 5em;
    }

    .main__image-flame {
        width: 22px;
    }

    .main__card-title {
        margin: auto;
        grid-template-columns: 26% 95%;
        gap: 0em;
        justify-content: center;
      }

      .main__title-pokemon {
        font-size: 19px;
      }


    .main__image-pokemon {
        position: relative;
        width: 250px;
        height: 100%;
        top: 5px;
    }

    .section__pokemon-average {
     grid-template-rows: 60px 60px 60px;
     margin: 15px;
     align-content: center;
     row-gap: 2em;
     min-width: 250px;
    }
    
    .section__pokemon-average h4{
        font-size: 15px;
     }

     .section__pokemon-average p{
        font-size: 18px;
     }

    .footer__card {
        min-width: 100px;
    }

    .footer--grid {
        column-gap: 5px;
    }

    .footer__image {
        width: 100px;
    }

}
@media only screen and (min-width: 701px) and (max-width: 800px) {
    
    .main {
        min-height: 400px;
    }

    .main--flex {
        justify-content: center;
        gap: 5em;
    }

    .main__image-flame {
        width: 22px;
    }

    .main__card-title {
        margin: auto;
        grid-template-columns: 26% 95%;
        gap: 0em;
        justify-content: center;
      }

      .main__title-pokemon {
        font-size: 19px;
      }


    .main__image-pokemon {
        position: relative;
        width: 240px;
        height: 100%;
        top: 5px;
    }


    .section__pokemon-average {
     grid-template-rows: 50px 50px 50px;
     margin: 15px;
     align-content: center;
     row-gap: 2em;
     min-width: 240px;
    }

    
    .section__pokemon-average h4{
        font-size: 15px;
     }

     .section__pokemon-average p{
        font-size: 18px;
     }

    .footer__card {
        min-width: 90%;
    }

    .footer--grid {
        column-gap: 3px;
    }

    .footer__image {
        width: 80px;
    }
 }






@media only screen and (min-width: 602px) and (max-width: 700px) {


    .main {
        min-height: 400px;
    }

    .main--flex {
        justify-content: center;
        gap: 5em;
    }

    .main__image-flame {
        width: 22px;
    }

    .main__card-title {
        margin: auto;
        grid-template-columns: 26% 95%;
        gap: 0em;
        justify-content: center;
      }

      .main__title-pokemon {
        font-size: 19px;
      }


    .main__image-pokemon {
        position: relative;
        width: 230px;
        height: 100%;
        top: 5px;
    }


    .section__pokemon-average {
     grid-template-rows: 50px 50px 50px;
     margin: 15px;
     align-content: center;
     row-gap: 2em;
     min-width: 220px;
    }

    
    .section__pokemon-average h4{
        font-size: 16px;
     }

     .section__pokemon-average p{
        font-size: 16px;
     }

    .footer__card {
        min-width: 80px;
    }

    .footer--grid {
        column-gap: 3px;
    }

    .footer__image {
        width: 90px;
    }
}



@media only screen and (min-width: 550px) and (max-width: 600px) {
    .section__pokemon-average {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        row-gap: 3px;
        padding: 35px 0;
        margin-left: 155px;
        margin-right: 155px;
     }

 }

@media only screen and (min-width: 450px) and (max-width: 550px) {
    .section__pokemon-average {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        row-gap: 3px;
        padding: 35px 0;
        margin-left: 125px;
        margin-right: 125px;
     }

 }

@media only screen and (min-width: 421px) and (max-width: 450px) {
    .section__pokemon-average {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        row-gap: 3px;
        padding: 35px 0;
        margin-left: 95px;
        margin-right: 95px;
     }

 }

@media only screen and (min-width: 321px) and (max-width: 421px) {
    .section__pokemon-average {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        row-gap: 3px;
        padding: 35px 0;
        margin-left: 75px;
        margin-right: 75px;
     }


 }


 @media only screen and (min-width: 120px) and (max-width: 320px) { 
    .section__pokemon-average {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        row-gap: 3px;
        padding: 35px 0;
        margin-left: 55px;
        margin-right: 55px;
     }

 }



@media only screen and (min-width: 120px) and (max-width: 600px) {

    body {
        margin:0;
    }

    .image--pokeball {
        height: 50px;
    }
    
    .figure {
       
      }

    /* ======== Start Header Mobile =========*/
    .header {
        width: 100%;
        margin: 0;
     }

     .header--flex {
        justify-content: center;
        align-items: center;
     }

     .header--border-top-radius {
        border-radius: 0px;
    }

     .header__title {
        font-size: 22px;
        margin-top: 5px;
     }

 /* ======== End Header Mobile =========*/

  /* ======== Start Main Mobile =========*/
     .main {
        margin:auto;
        padding-top: 10px;
     }


     .main__card-title {
        margin: auto;
        grid-template-columns: 25% 60%;
        gap: 0em;
        justify-content: center;
      }

      .main__card-image {
        max-height: 150px;
        margin: 0;
        padding: 0;
      }

     .main--flex {
       grid-template-columns: 1fr;
       gap: 1em;
    }

    .main__pokemon-card {
      margin: auto;
    }

    .main__title-pokemon {
        font-size: 23px;
        margin-top: 15px;
    }

    .main__image-pokemon {
        position: relative;
        width: 250px;
        height: auto;
        top: 35px;
    }

    .main__image-flame {
        width:  23px;
    }


    .section__pokemon-average{
        padding-left: 3rem;
     }

     .section__pokemon-average div{
        display: grid;
        grid-template-columns: 1fr 1fr;
        padding: 5px;
     }


     .section__pokemon-average h4{
        font-size: 15px;
        text-align: left;
     }

     .section__pokemon-average p{
        font-size: 15px;
        text-align: left;
     }

     /* ======== End Main Mobile =========*/
     

     /* ======== Start Footer Mobile =========*/

     .footer {
        margin: 0;
        padding: 0;
        height: 100%;
     }

     .footer__item {
        font: 19px 'Franklin Gothic Book', sans-serif;
        grid-column: 1/3;
        text-align: center;
        height: 5px;
     }
    
     .footer__card {
        width: 100%;
     }

     .footer--border-bottom-radius {
        border-radius: 0px;
    }


     .footer--grid {
        display: grid;
        grid-template-columns: 38% 38%;
        gap: 15px;
        justify-items: center;
    }

    body {
        background-color: #f3edc0;
    }
    
     /* ======== End Footer Mobile =========*/

}